Problème -i build-upload

Questions about WAPT Packaging / Requêtes et aides autour des paquets Wapt.
Règles du forum
Règles du forum
* English support on www.reddit.com/r/wapt
* Le support en français se fait sur ce forum
* Merci de préfixer le titre du thread par [RESOLU] s'il est résolu.
* Préciser version de WAPT installée (1.3.9 / 1.3.13 / 1.5 )
* Préciser OS du serveur (Linux / Windows) et version (Debian Jessie/Stretch - CentOS 7 - Windows Server 2012/2016)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
Avatar de l’utilisateur
stribouille
Messages : 7
Inscription : 12 avr. 2019 - 09:40

12 avr. 2019 - 09:56

Bonjour,

Je suis en train de tester la création d'un paquet.
Je suis passé hier en dernière version du serveur & agent (1.7).
Lorsque je veux exécuter un -i build upload dans PySrcipter (v3.6.0.0 x64) + python (2.7 ou 3.7) j'ai un message d'erreur:
ImportError: no module named request
Donc je ne peux pas uploader mon paquet sur mon dépôt privé.
Une idée?
Merci.
Je reste à disposition pour plus de précisions.
- Version de WAPT installée : 1.7.3.5
- OS du serveur : Linux / CentOs 7
- OS de la machine d'administration/création des paquets : Windows 10
Avatar de l’utilisateur
stribouille
Messages : 7
Inscription : 12 avr. 2019 - 09:40

12 avr. 2019 - 10:31

J'ai installé PyScripter via le store ou à la mano, même erreur...
- Version de WAPT installée : 1.7.3.5
- OS du serveur : Linux / CentOs 7
- OS de la machine d'administration/création des paquets : Windows 10
Avatar de l’utilisateur
htouvet
Expert WAPT
Messages : 327
Inscription : 16 mars 2015 - 10:48
Contact :

12 avr. 2019 - 15:24

Dans pyscripter, Il faut choisir la configuration d'exécution de Wapt "c:\program files (x86)\wapt" (et pas celle du système c:\python27)
Dans le menu Exécuter / Python versions /... à priori la deuxième entrée de menu
Tranquil IT
Avatar de l’utilisateur
stribouille
Messages : 7
Inscription : 12 avr. 2019 - 09:40

12 avr. 2019 - 16:02

Merci pour la rapidité de la réponse.

J'ai avancé mais ai désormais un second message d'erreur. Une pop-up apparaît et il est indiqué:
Python could not be properly initialized. We must quit
Et ensuite:
Remote server is not connected.
Please reinitialize or disconnect the remote interpreter
- Version de WAPT installée : 1.7.3.5
- OS du serveur : Linux / CentOs 7
- OS de la machine d'administration/création des paquets : Windows 10
Avatar de l’utilisateur
stribouille
Messages : 7
Inscription : 12 avr. 2019 - 09:40

13 avr. 2019 - 22:07

Je réinstalle mon serveur virtuel de 0.
Au moins, lundi j'aurai une machine propre ;)
- Version de WAPT installée : 1.7.3.5
- OS du serveur : Linux / CentOs 7
- OS de la machine d'administration/création des paquets : Windows 10
Avatar de l’utilisateur
stribouille
Messages : 7
Inscription : 12 avr. 2019 - 09:40

14 avr. 2019 - 12:52

Après avoir réinstaller mon serveur, c'est ok.
Ouf, lundi je vais pouvoir avancer.
Si quelqu'un peut me dire comment indiquer résolu dans le titre du post, merci.
- Version de WAPT installée : 1.7.3.5
- OS du serveur : Linux / CentOs 7
- OS de la machine d'administration/création des paquets : Windows 10
Répondre